- Fluid Reference Documentation
- Fluid 1.0.0

# TabbedPage QML Type

Page with tabs. More...

Import Statement: | import Fluid.Controls 1.0
Inherits: | Page

- List of all members, including inherited members

## Properties

- count : int
- currentIndex : int
- selectedTab : Item
- tabBar : ToolBar
- tabs : TabBar

## Methods

- void addTab(Tab tab)
- void decrementCurrentIndex()
- Tab getTab(int index)
- void incrementCurrentIndex()
- void removeTab(int index)
- void setCurrentIndex(int index)

## Detailed Description

      import QtQuick 2.10
      import Fluid.Controls 1.0 as FluidControls

      FluidControls.ApplicationWindow {
          title: "Application Name"
          width: 1024
          height: 800
          visible: true

          initialPage: FluidControls.TabbedPage {
              FluidControls.Tab {
                  title: "Tab 1"

                  Label {
                      anchors.centerIn: parent
                      text: "Hello World!"
                  }
              }

              FluidControls.Tab {
                  title: "Tab 2"

                  Label {
                      anchors.centerIn: parent
                      text: "Hello World!"
                  }
              }
          }
      }

## Property Documentation

[read-only] count : int

Number of tabs.

[read-only] currentIndex : int

Index of the currently selected tab.

[read-only] selectedTab : Item

The currently selected tab.

[read-only] tabBar : ToolBar

Tool bar that contains tabs.

[read-only] tabs : TabBar

Tab bar.

## Method Documentation

void addTab(Tab tab)

Add a tab programmatically to the page.

void decrementCurrentIndex()

Decrement current index.

See also currentIndex.

Tab getTab(int index)

Return the tab with index.

void incrementCurrentIndex()

Increment current index.

See also currentIndex.

void removeTab(int index)

Remove the tab with index programmatically.

void setCurrentIndex(int index)

Select the tab that correspond to index.